package mi.hdm.controllers;

import javafx.fxml.FXML;
import javafx.scene.layout.AnchorPane;
import javafx.scene.layout.TilePane;
import mi.hdm.recipes.RecipeManager;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class RecipeViewController extends BaseController {
    private static final Logger log = LogManager.getLogger(RecipeViewController.class);

    private final RecipeManager recipeManager;

    @FXML
    private TilePane recipeTilePane;
    @FXML
    private AnchorPane parent;

    public RecipeViewController(RecipeManager recipeManager) {
        this.recipeManager = recipeManager;
    }

    @FXML
    public void changeSceneToMain() {
        try {
            changeScene(View.MAIN);
        } catch (Exception e) {
            e.printStackTrace();
            log.error("Something went wrong when changing the scene.");
        }
    }

    @FXML
    public void initialize() {
        loadHeader(parent);
        log.debug("Added {} recipes to GUI", recipeManager.getRecipes().size());
    }
}
